Connecting to GoToWebinar

Please note the following System Requirements for GoToWebinar:

  • For PC-based users:
    • Required: Windows® 7, Vista, XP or 2003 Server
    • Required: Internet Explorer® 7.0 or newer, Mozilla® Firefox® 9.0 or newer or Google™ Chrome™ 5.0 or newer (JavaScript™ and Java™ enabled)
    • Required: Internet connection, with cable modem, DSL or better recommended
    • Recommended: Dual core 2.4GHz CPU or faster with at least 2 GB of RAM

 

  • For Mac-based users:
    • Required: MacOS® X 10.5 (Leopard®), OS X 10.6 (Snow Leopard®), OS X 10.7 (Lion®)
    • Required: Safari™ 3.0 or newer, Firefox® 3.0 or newer or Google™ Chrome™ 5.0 or newer (JavaScript™ and Java™ enabled)
    • Required: Internet connection, with cable modem, DSL or better recommended
    • Recommended: Intel processor with 512 MB of RAM or better recommended

 

1. When I try to join a workshop, I get taken to a page that says 'Unable to Join Meeting'

Always choose allow when prompted with the option to Deny or Allow. 


 

 

2. How do I know if my Java is up to date?

To check the version of Java on your computer, visit www.java.com and click Free Java Download. This tests the version of Java on your computer. If it is out of date, it will guide you through downloading the most up-to-date version of the software.

 

3. Which browser should I use with GoToWebinar?

We recommend using Mozilla™ Firefox™ 3.0 or newer with GoToWebinar.


To enable content go to Firefox > Preferences > Content and make sure Block pop-up windows, Load images automatically, and Enable JavaScript are all checked. 

 

 

Disconnection Disclaimer

Because GoToWebinar is not affiliated with Squarespace, we are unable to guarantee the reliability of their software and it is possible that we may lose connection at any time during a workshop. In the event that we do lose connection during a workshop, you will be given a registration link to the next scheduled workshop. 

Was this article helpful?
0 out of 0 found this helpful